Try ERPNext Buy Support Partners Foundation

No such file or directory: 'run' bench stopped

bench start
14:35:52 system           | watch.1 started (pid=7707)
14:35:52 system           | redis_socketio.1 started (pid=7703)
14:35:52 redis_socketio.1 | 7709:C 20 Oct 14:35:52.713 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
14:35:52 redis_socketio.1 | 7709:C 20 Oct 14:35:52.713 # Redis version=4.0.9, bits=64, commit=00000000, modified=0, pid=7709, just started
14:35:52 redis_socketio.1 | 7709:C 20 Oct 14:35:52.713 # Configuration loaded
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.714 * Increased maximum number of open files to 10032 (it was originally set to 1024).
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 * Running mode=standalone, port=12000.
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 # Server initialized
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 # WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command 'echo never > /sys/kernel/mm/transparent_hugepage/enabled' as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled.
14:35:52 redis_socketio.1 | 7709:M 20 Oct 14:35:52.715 * Ready to accept connections
14:35:52 system           | socketio.1 started (pid=7719)
14:35:52 system           | redis_queue.1 started (pid=7717)
14:35:52 redis_queue.1    | 7721:C 20 Oct 14:35:52.724 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
14:35:52 redis_queue.1    | 7721:C 20 Oct 14:35:52.724 # Redis version=4.0.9, bits=64, commit=00000000, modified=0, pid=7721, just started
14:35:52 redis_queue.1    | 7721:C 20 Oct 14:35:52.724 # Configuration loaded
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.725 * Increased maximum number of open files to 10032 (it was originally set to 1024).
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 * Running mode=standalone, port=11000.
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 # Server initialized
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 # WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command 'echo never > /sys/kernel/mm/transparent_hugepage/enabled' as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled.
14:35:52 redis_queue.1    | 7721:M 20 Oct 14:35:52.726 * Ready to accept connections
14:35:52 system           | worker_short.1 started (pid=7730)
14:35:52 system           | schedule.1 started (pid=7742)
14:35:52 system           | worker_long.1 started (pid=7705)
14:35:52 system           | worker_default.1 started (pid=7718)
14:35:52 system           | redis_cache.1 started (pid=7720)
14:35:52 redis_cache.1    | 7722:C 20 Oct 14:35:52.715 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
14:35:52 redis_cache.1    | 7722:C 20 Oct 14:35:52.715 # Redis version=4.0.9, bits=64, commit=00000000, modified=0, pid=7722, just started
14:35:52 redis_cache.1    | 7722:C 20 Oct 14:35:52.715 # Configuration loaded
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.716 * Increased maximum number of open files to 10032 (it was originally set to 1024).
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 * Running mode=standalone, port=13000.
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 # Server initialized
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 # WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command 'echo never > /sys/kernel/mm/transparent_hugepage/enabled' as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled.
14:35:52 redis_cache.1    | 7722:M 20 Oct 14:35:52.717 * Ready to accept connections
14:35:52 system           | web.1 started (pid=7750)
14:35:54 socketio.1       | listening on *: 9000
14:35:57 web.1            |  * Running on http://0.0.0.0:8000/ (Press CTRL+C to quit)
14:35:57 web.1            |  * Restarting with inotify reloader
14:35:58 watch.1          | Parsing scenario file run
14:35:58 watch.1          | ERROR: [Errno 2] No such file or directory: 'run'
14:35:58 system           | watch.1 stopped (rc=0)
14:35:58 system           | sending SIGTERM to redis_socketio.1 (pid 7703)
14:35:58 system           | sending SIGTERM to worker_long.1 (pid 7705)
14:35:58 system           | sending SIGTERM to redis_queue.1 (pid 7717)
14:35:58 system           | sending SIGTERM to web.1 (pid 7750)
14:35:58 system           | sending SIGTERM to schedule.1 (pid 7742)
14:35:58 system           | sending SIGTERM to worker_default.1 (pid 7718)
14:35:58 system           | sending SIGTERM to socketio.1 (pid 7719)
14:35:58 system           | sending SIGTERM to redis_cache.1 (pid 7720)
14:35:58 system           | sending SIGTERM to worker_short.1 (pid 7730)
14:35:58 worker_short.1   | 14:35:58 Warm shut down requested
14:35:58 worker_long.1    | 14:35:58 Warm shut down requested
14:35:58 worker_default.1 | 14:35:58 Warm shut down requested
14:35:58 redis_socketio.1 | 7709:signal-handler (1540024558) Received SIGTERM scheduling shutdown...
14:35:58 web.1            | Traceback (most recent call last):
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 559, in call
14:35:58 redis_queue.1    | 7721:signal-handler (1540024558) Received SIGTERM scheduling shutdown...
14:35:58 redis_cache.1    | 7722:signal-handler (1540024558) Received SIGTERM scheduling shutdown...
14:35:58 system           | schedule.1 stopped (rc=-15)
14:35:58 system           | socketio.1 stopped (rc=-15)
14:35:58 web.1            |     return p.wait(timeout=timeout)
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 1658, in wait
14:35:58 web.1            |     (pid, sts) = self._try_wait(0)
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 1608, in _try_wait
14:35:58 web.1            |     (pid, sts) = os.waitpid(self.pid, wait_flags)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/werkzeug/_reloader.py", line 267, in <lambda>
14:35:58 web.1            |     signal.signal(signal.SIGTERM, lambda *args: sys.exit(0))
14:35:58 web.1            | SystemExit: 0
14:35:58 web.1            | 
14:35:58 web.1            | During handling of the above exception, another exception occurred:
14:35:58 web.1            | 
14:35:58 web.1            | Traceback (most recent call last):
14:35:58 web.1            |   File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
14:35:58 web.1            |     "__main__", mod_spec)
14:35:58 web.1            |   File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
14:35:58 web.1            |     exec(code, run_globals)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", line 97, in <module>
14:35:58 web.1            |     main()
14:35:58 web.1            |   File "/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py", line 18, in main
14:35:58 web.1            |     click.Group(commands=commands)(prog_name='bench')
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 722, in __call__
14:35:58 web.1            |     return self.main(*args, **kwargs)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 697, in main
14:35:58 web.1            |     rv = self.invoke(ctx)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 1066, in invoke
14:35:58 web.1            |     return _process_result(sub_ctx.command.invoke(sub_ctx))
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 1066, in invoke
14:35:58 web.1            |     return _process_result(sub_ctx.command.invoke(sub_ctx))
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 895, in invoke
14:35:58 web.1            |     return ctx.invoke(self.callback, **ctx.params)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/core.py", line 535, in invoke
14:35:58 web.1            |     return callback(*args, **kwargs)
14:35:58 redis_socketio.1 | 7709:M 20 Oct 14:35:58.337 # User requested shutdown...
14:35:58 redis_socketio.1 | 7709:M 20 Oct 14:35:58.337 * Removing the pid file.
14:35:58 redis_socketio.1 | 7709:M 20 Oct 14:35:58.337 # Redis is now ready to exit, bye bye...
14:35:58 redis_cache.1    | 7722:M 20 Oct 14:35:58.337 # User requested shutdown...
14:35:58 redis_cache.1    | 7722:M 20 Oct 14:35:58.337 * Removing the pid file.
14:35:58 redis_cache.1    | 7722:M 20 Oct 14:35:58.337 # Redis is now ready to exit, bye bye...
14:35:58 system           | redis_cache.1 stopped (rc=-15)
14:35:58 system           | redis_socketio.1 stopped (rc=-15)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/click/decorators.py", line 17, in new_func
14:35:58 web.1            |     return f(get_current_context(), *args, **kwargs)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/apps/frappe/frappe/commands/__init__.py", line 25, in _func
14:35:58 redis_queue.1    | 7721:M 20 Oct 14:35:58.345 # User requested shutdown...
14:35:58 redis_queue.1    | 7721:M 20 Oct 14:35:58.345 * Removing the pid file.
14:35:58 redis_queue.1    | 7721:M 20 Oct 14:35:58.345 # Redis is now ready to exit, bye bye...
14:35:58 system           | redis_queue.1 stopped (rc=-15)
14:35:58 web.1            |     ret = f(frappe._dict(ctx.obj), *args, **kwargs)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/apps/frappe/frappe/commands/utils.py", line 501, in serve
14:35:58 web.1            |     frappe.app.serve(port=port, profile=profile, site=site, sites_path='.')
14:35:58 web.1            |   File "/home/frappe/frappe-bench/apps/frappe/frappe/app.py", line 243, in serve
14:35:58 web.1            |     threaded=True)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/werkzeug/serving.py", line 812, in run_simple
14:35:58 system           | worker_long.1 stopped (rc=-15)
14:35:58 web.1            |     reloader_type)
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/werkzeug/_reloader.py", line 275, in run_with_reloader
14:35:58 web.1            |     sys.exit(reloader.restart_with_reloader())
14:35:58 web.1            |   File "/home/frappe/frappe-bench/env/lib/python3.5/site-packages/werkzeug/_reloader.py", line 132, in restart_with_reloader
14:35:58 web.1            |     close_fds=False)
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 561, in call
14:35:58 web.1            |     p.kill()
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 1787, in kill
14:35:58 web.1            |     self.send_signal(signal.SIGKILL)
14:35:58 web.1            |   File "/usr/lib/python3.5/subprocess.py", line 1777, in send_signal
14:35:58 web.1            |     os.kill(self.pid, sig)
14:35:58 web.1            | ProcessLookupError: [Errno 3] No such process
14:35:58 system           | worker_short.1 stopped (rc=-15)
14:35:58 system           | worker_default.1 stopped (rc=-15)
14:35:58 system           | web.1 stopped (rc=-15)

A liitle context please. What version ErpNext, where and how installed and why are you running bench start to begin with? What does:

bench setup redis

return?

search for “Restarting with inotify reloader”

bench update --patch

should help.
Have you checked for memory/disk space etc?

A popular fix for similar problems is also

Hi friend,

Did you got any solution for this??? stuck with this issue.

15:43:54 socketio.1 | listening on *: 9000
15:43:58 web.1 | * Running on http://0.0.0.0:8000/ (Press CTRL+C to quit)
15:43:58 web.1 | * Restarting with inotify reloader
15:43:59 watch.1 | Parsing scenario file run
15:43:59 watch.1 | ERROR: [Errno 2] No such file or directory: ‘run’
15:43:59 system | watch.1 stopped (rc=0)
15:43:59 system | sending SIGTERM to redis_cache.1 (pid 9682)
15:43:59 system | sending SIGTERM to redis_socketio.1 (pid 9689)
15:43:59 system | sending SIGTERM to redis_queue.1 (pid 9704)
15:43:59 system | sending SIGTERM to web.1 (pid 9699)
15:43:59 system | sending SIGTERM to socketio.1 (pid 9698)
15:43:59 system | sending SIGTERM to schedule.1 (pid 9701)
15:43:59 system | sending SIGTERM to worker_short.1 (pid 9703)
15:43:59 system | sending SIGTERM to worker_long.1 (pid 9700)
15:43:59 system | sending SIGTERM to worker_default.1 (pid 9705)
15:43:59 redis_cache.1 | 9688:signal-handler (1599234239) Received SIGTERM scheduling shutdown…
15:43:59 redis_socketio.1 | 9694:signal-handler (1599234239) Received SIGTERM scheduling shutdown…
15:43:59 redis_queue.1 | 9716:signal-handler (1599234239) Received SIGTERM scheduling shutdown…
15:43:59 system | worker_short.1 stopped (rc=-15)
15:43:59 system | worker_long.1 stopped (rc=-15)
15:43:59 system | worker_default.1 stopped (rc=-15)
15:43:59 redis_cache.1 | 9688:M 04 Sep 2020 15:43:59.656 # User requested shutdown…
15:43:59 redis_cache.1 | 9688:M 04 Sep 2020 15:43:59.656 * Removing the pid file.
15:43:59 redis_cache.1 | 9688:M 04 Sep 2020 15:43:59.656 # Redis is now ready to exit, bye bye…
15:43:59 system | redis_cache.1 stopped (rc=-15)
15:43:59 system | socketio.1 stopped (rc=-15)
15:43:59 redis_socketio.1 | 9694:M 04 Sep 2020 15:43:59.684 # User requested shutdown…
15:43:59 redis_socketio.1 | 9694:M 04 Sep 2020 15:43:59.684 * Removing the pid file.
15:43:59 redis_socketio.1 | 9694:M 04 Sep 2020 15:43:59.684 # Redis is now ready to exit, bye bye…
15:43:59 system | redis_socketio.1 stopped (rc=-15)
15:43:59 redis_queue.1 | 9716:M 04 Sep 2020 15:43:59.700 # User requested shutdown…
15:43:59 redis_queue.1 | 9716:M 04 Sep 2020 15:43:59.700 * Removing the pid file.
15:43:59 redis_queue.1 | 9716:M 04 Sep 2020 15:43:59.700 # Redis is now ready to exit, bye bye…
15:43:59 system | redis_queue.1 stopped (rc=-15)
15:43:59 system | schedule.1 stopped (rc=-15)
15:44:00 system | web.1 stopped (rc=-15)
frappe@773f2613d94e:~/frappe-bench$

any solution for this issue???

Hi @sohailamar,

I was trying this with docker…if you are on the same…then please follow these steps…the installation will be smooth without any errors…remove all the existing containers and try this.

@sumisha thankyou for quick reply but i am not using docker, i am using manual way to install it

@sohailamar
Could you check whether yarn is installed properly or not??

check for yarn --version…As far as I understand this issue is related to yarn.

Check this link…It has all the details…

@sumisha
yarn --version = 0.32+git

Please try this,
sudo apt install yarn
sudo apt-get update

@sumisha

sorry, i am totally an new with this erp.
here is the out put for this command.

reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘cmdtest’ instead of ‘yarn’
cmdtest is already the newest version (0.32.14.gcdfe14e-1).
0 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.

@sohailamar
I am also completely new to this :grinning: just give a try…
sudo apt remove cmdtest
sudo apt remove yarn
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo “deb https://dl.yarnpkg.com/debian/ stable main” | sudo tee /etc/apt/sources.list.d/yarn.list
sudo apt-get update
sudo apt-get install yarn

@sumisha
i am getting this error while installing last command

: Type ‘“deb’ is not known on line 1 in source list /etc/apt/sources.list.d/yarn.list
E: The list of sources could not be read.
E: Type ‘“deb’ is not known on line 1 in source list /etc/apt/sources.list.d/yarn.list
E: The list of sources could not be read.

output?
cat /etc/apt/sources.list

@sumisha

echo “deb https://dl.yarnpkg.com/debian/ stable main” | sudo tee /etc/apt/sources.list.d/yarn.list
this command added this entry in sources.list file that was creating this issue. that’s why i have to delete this entry from this file.

@sohailamar
I know its not a solution…but can you give a fresh installation try with this link,

In case if that not works.